Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Init_ACE.h File Reference

`#include "ace/ACE_export.h"`

Include dependency graph for Init_ACE.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE
## Functions
ACE_Export int | init (void)
ACE_Export int | fini (void)
## Variables
unsigned int | init_fini_count_ = 0

## Detailed Description

Id
  Init_ACE.h,v 1.9 2005/10/28 16:14:52 ossama Exp

Initialize ACE library services. Can be called only once per program invocation.

## Function Documentation

int ACE::fini | ( | void |  | ) |

| Shut down ACE library services. Can be called only once per program invocation. Returns: Returns 0 on success, -1 on failure, and 1 if it had already been called.

int ACE::init | ( | void |  | ) |

| This class implements the functions for the initialization and shutting down ACE. These functions are called only once per ACE invokation. Returns: Returns 0 on success, -1 on failure, and 1 if it had already been called.

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL unsigned int ACE::init_fini_count_ = 0

| Counter to match <init()>/<fini()> calls. <init()> must increment it; <fini()> must decrement it. <fini()> then does nothing until it reaches 0.